Update the authenticated customer's profile
PATCH
/api/portal/profile
const url = 'https://example.com/api/portal/profile';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","email":"hello@example.com","phone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/portal/profile \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "email": "hello@example.com", "phone": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
email
string format: email
phone
string
Examplegenerated
{ "name": "example", "email": "hello@example.com", "phone": "example"}Responses
Section titled “Responses”Default Response